Pause app service
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/pause \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/pause"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"service": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_id": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"service_type": "web",
"source_type": "git",
"builder": "buildpacks",
"repo_full_name": "<string>",
"repo_branch": "<string>",
"repo_root_dir": "<string>",
"dockerfile_path": "<string>",
"image_ref": "<string>",
"start_command": "<string>",
"tier_id": 123,
"tier_name": "<string>",
"replicas": 123,
"autoscaling_enabled": true,
"min_replicas": 123,
"max_replicas": 123,
"autoscaling_metric": "<string>",
"autoscaling_target": 123,
"scale_to_zero": true,
"http_port": 123,
"health_check_path": "<string>",
"cron_schedule": "<string>",
"cron_timezone": "<string>",
"region": "<string>",
"url": "<string>",
"internal_host": "<string>",
"status": "pending",
"status_message": "<string>",
"paused_by_cap": true,
"billing_type": "payg",
"current_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Services
Pause app service
Scale the service to zero and stop billing for replicas. Cron services are suspended.
POST
/
api
/
v1
/
apps
/
services
/
{service_id}
/
pause
Pause app service
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
App service ID (UUID) or short id (the service_id field)
Last modified on August 26, 2026
⌘I